Subject: bug#62502: closed (Re: bug#62502: 29.0.60; Docstring of `read-char-choice')

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Mar 2023 07:27:02 +0000

Your bug report

#62502: 29.0.60; Docstring of `read-char-choice'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62502: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62502
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62502: 29.0.60; Docstring of `read-char-choice'
From: Arash Esbati <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Wed, 29 Mar 2023 09:26:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> Since the state of documentation of this and related
> functions/variables was unsatisfactory, I ended up fixing it, and as
> part of that also mentioned what happens with INHIBIT-KEYBOARD-QUIT.

Yes, the documentation is in much better shape now.  Thanks for fixing
this.  I'm closing this report.

Best, Arash

Subject: 29.0.60; Docstring of `read-char-choice'
From: Arash Esbati <[email-masked]>
To: emacs-bugs <[email-masked]>
Date: Tue, 28 Mar 2023 16:32:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

docstring of `read-char-choice' lacks any information about
INHIBIT-KEYBOARD-QUIT:

,----[ C-h f read-char-choice RET ]
| read-char-choice is a native-compiled Lisp function in ‘subr.el’.
| 
| (read-char-choice PROMPT CHARS &optional INHIBIT-KEYBOARD-QUIT)
| 
| Read and return one of CHARS, prompting for PROMPT.
| Any input that is not one of CHARS is ignored.
| 
| By default, the minibuffer is used to read the key
| non-modally (see ‘read-char-from-minibuffer’).  If
| ‘read-char-choice-use-read-key’ is non-nil, the modal ‘read-key’
| function is used instead (see ‘read-char-choice-with-read-key’).
| 
|   Probably introduced at or before Emacs version 24.1.
| 
`----

INHIBIT-KEYBOARD-QUIT is passed to `read-char-choice-with-read-key'; I'd
say it is sufficient to say something like:

  If ‘read-char-choice-use-read-key’ is non-nil, the modal ‘read-key’
  function is used instead (see ‘read-char-choice-with-read-key’) and
  the optional INHIBIT-KEYBOARD-QUIT is passed to it.

Best, Arash